
Redmine - Feature #16818

Allow multiple relationships between two issues

2014-05-06 21:44 - Brad Smith

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This happens in the current version of redmine from git (svn r13129), with mysql 14.14.

Steps to reproduce:

1. Create an issue

2. Create a copy of that issue

3. Attempt to create a relation between the issues (e.g. set the copy to FOLLOW the original)

An error will occur:

ActiveRecord::RecordNotUnique (Mysql2::Error: Duplicate entry '31-40' for key

'index_issue_relations_on_issue_from_id_and_issue_to_id': INSERT INTO `issue_relations` (`delay`, `issue_from_id`, `issue_to_id`,

`relation_type`) VALUES (0, 31, 40, 'precedes')):

app/controllers/issue_relations_controller.rb:48:in `create'

This index effectively prevents you from creating two relations between the same pair of issues. Shouldn't this combination of

relationships be ok?

Related issues:

Related to Redmine - Defect #8628: "Related to" reference may yield circular ... Closed 2011-06-16

History

#1 - 2014-11-27 10:21 - @ go2null

What you have observed is the current intended behaviour - only one relationship allowed per between any two issues.

This Defect should be closed, or at least turned into a Feature request to allow multiple relationships between two issues.

#2 - 2014-12-03 06:49 - Mischa The Evil

@ go2null wrote:

[...] or at least turned into a Feature request to allow multiple relationships between two issues.

 Such already exists as #8628 which has some patches too. Initial request is for 'related to' relation but the patches includes a fix for 'copied to/from'

relations also.

#3 - 2014-12-03 06:50 - Mischa The Evil

- Related to Defect #8628: "Related to" reference may yield circular dependency error message added

#4 - 2019-01-10 04:25 - Marius BĂLTEANU

- Tracker changed from Defect to Feature

- Subject changed from 'copied_to' shouldn't conflict with other relation types to Allow multiple relationships between two issues

- Category changed from Database to Issues

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/projects/redmine/repository/svn/revisions/13129
https://www.redmine.org/issues/8628
http://www.tcpdf.org

